%global momorel 5
%global md5sum_src0 7362d710b7fe6a8b5f68a614279147de

Summary: gtkmozembed-sharp
Name: gecko-sharp
Version: 2.0.0.11
Release: %{momorel}m
Group: System Environment/Libraries
License: LGPL MPL
URL: http://www.mono-project.com/
%NoSource 0 http://go-mono.com/sources/%{name}-2.0/%{name}-2.0-0.11.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: mono-devel >= 1.0
BuildPrereq: gtk+-devel >= 2.0
BuildPrereq: monodoc >= 1.0
BuildPrereq: pkgconfig
BuildPrereq: gtk-sharp >= 1.9.0
BuildPrereq: mono-tools
Requires: gtk+ mono-core gtk-sharp
Patch2: gecko-sharp-2.0-0.11-lib64.patch

%description
This is gtkmozembed-sharp.  To use it, you need two things:
1) A working mozilla build.
   Note, the build *must* use gtk2.  You can do this by adding:
   ac_add_options --enable-default-toolkit=gtk2
   to your .mozconfig file.

   Also note, this needs gtk2.  The Win32 version of mozilla doesn't
   even touch gtk.  Therefore, this will *not* work on Win32.  It might,
   however.  Someone enterprising needs to try it.
#'
2) The CVS release of gtk-sharp.  There was a bug in the generator
   which is now fixed.  gtk-sharp also needs to be installed.

%prep
%setup -q -n %{name}-2.0-0.11
%patch2 -p1 -b .lib64

%build
autoreconf -fi
%configure --program-prefix=""
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING LICENSE.LGPL LICENSE.MPL NEWS README
%{_prefix}/lib/mono/gac/gecko-sharp/2.0.0.0__ccf7d78a55e9f021/gecko-sharp.dll*
%{_prefix}/lib/mono/gecko-sharp-2.0/gecko-sharp.dll
%{_prefix}/lib/monodoc/sources/*
%{_libdir}/pkgconfig/gecko-sharp-2.0.pc

%changelog
* Sun Aug 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0-0.11-5m)
- revised for multilibarch

* Tue May  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-0.11-4m)
- rebuild mono -> mono-core

* Thu Feb 02 2006 Masanobu Sato <satoshiga@momonga-linux.org
- (2.0-0.11-3m)
- revised spec file for monodoc files
 
* Thu Feb 02 2006 Masanobu Sato <satoshiga@momonga-linux.org
- (2.0-0.11-2m)
- add patches for x86_64

* Mon Jan 30 2006 Nishio Futoshi <futoshi@momonga-linux.org.
- (2.0-0.11-1m)
- start
